<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:12:39 CEST 2020 -->
<title>CompareSchedResultDialog</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CompareSchedResultDialog";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CompareSchedResultDialog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/m2m/ui/AnalysisContextSelectionDialog.html" title="class in org.polarsys.chess.m2m.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html" title="class in org.polarsys.chess.m2m.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/m2m/ui/CompareSchedResultDialog.html" target="_top">Frames</a></li>
<li><a href="CompareSchedResultDialog.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.jface.window.Window">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.jface.dialogs.Dialog">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.eclipse.jface.dialogs.Dialog">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.m2m.ui</div>
<h2 title="Class CompareSchedResultDialog" class="title">Class CompareSchedResultDialog</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.jface.window.Window</li>
<li>
<ul class="inheritance">
<li>org.eclipse.jface.dialogs.Dialog</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.m2m.ui.CompareSchedResultDialog</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.jface.window.IShellProvider</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">CompareSchedResultDialog</span>
extends org.eclipse.jface.dialogs.Dialog</pre>
<div class="block">Used to display a window that shows the results of two different schedulability analyses.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>0.9</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>laura</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.jface.window.Window">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.jface.window.Window</h3>
<code>org.eclipse.jface.window.Window.IExceptionHandler</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.jface.dialogs.Dialog">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.jface.dialogs.Dialog</h3>
<code>blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.jface.window.Window">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.jface.window.Window</h3>
<code>CANCEL, OK</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/CompareSchedResultDialog.html#CompareSchedResultDialog-org.eclipse.swt.widgets.Shell-java.lang.String-java.lang.String-java.util.List-java.util.List-java.util.List-java.util.List-java.lang.String-">CompareSchedResultDialog</a></span>(org.eclipse.swt.widgets.Shell&nbsp;parentShell,
                        java.lang.String&nbsp;analysisContextName1,
                        java.lang.String&nbsp;analysisContextName2,
                        java.util.List&lt;org.polarsys.chess.core.util.AnalysisResultData&gt;&nbsp;analysisResData1,
                        java.util.List&lt;org.polarsys.chess.core.util.AnalysisResultData&gt;&nbsp;analysisResData2,
                        java.util.List&lt;org.polarsys.chess.core.util.HWAnalysisResultData&gt;&nbsp;listHWData1,
                        java.util.List&lt;org.polarsys.chess.core.util.HWAnalysisResultData&gt;&nbsp;listHWData2,
                        java.lang.String&nbsp;title)</code>
<div class="block">Instantiates a new compare sched result dialog.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.jface.dialogs.Dialog">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.jface.dialogs.Dialog</h3>
<code>applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.jface.window.Window">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.jface.window.Window</h3>
<code>getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CompareSchedResultDialog-org.eclipse.swt.widgets.Shell-java.lang.String-java.lang.String-java.util.List-java.util.List-java.util.List-java.util.List-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CompareSchedResultDialog</h4>
<pre>public&nbsp;CompareSchedResultDialog(org.eclipse.swt.widgets.Shell&nbsp;parentShell,
                                java.lang.String&nbsp;analysisContextName1,
                                java.lang.String&nbsp;analysisContextName2,
                                java.util.List&lt;org.polarsys.chess.core.util.AnalysisResultData&gt;&nbsp;analysisResData1,
                                java.util.List&lt;org.polarsys.chess.core.util.AnalysisResultData&gt;&nbsp;analysisResData2,
                                java.util.List&lt;org.polarsys.chess.core.util.HWAnalysisResultData&gt;&nbsp;listHWData1,
                                java.util.List&lt;org.polarsys.chess.core.util.HWAnalysisResultData&gt;&nbsp;listHWData2,
                                java.lang.String&nbsp;title)</pre>
<div class="block">Instantiates a new compare sched result dialog.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parentShell</code> - the parent shell</dd>
<dd><code>analysisContextName1</code> - the analysis context name 1</dd>
<dd><code>analysisContextName2</code> - the analysis context name 2</dd>
<dd><code>analysisResData1</code> - the analysis res data 1</dd>
<dd><code>analysisResData2</code> - the analysis res data 2</dd>
<dd><code>listHWData1</code> - the list HW data 1</dd>
<dd><code>listHWData2</code> - the list HW data 2</dd>
<dd><code>title</code> - the title</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CompareSchedResultDialog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/m2m/ui/AnalysisContextSelectionDialog.html" title="class in org.polarsys.chess.m2m.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html" title="class in org.polarsys.chess.m2m.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/m2m/ui/CompareSchedResultDialog.html" target="_top">Frames</a></li>
<li><a href="CompareSchedResultDialog.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.jface.window.Window">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.jface.dialogs.Dialog">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.eclipse.jface.dialogs.Dialog">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
